Bug 1022142 - metadata-extractor: remove versioned jars from %{_javadir}
metadata-extractor: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metadata-extractor (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:49 EDT by Stanislav Ochotnicky
Modified: 2014-03-21 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.3.1-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-21 12:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to current guidelines (2.56 KB, patch)
2014-03-21 11:24 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:49:53 EDT
Package metadata-extractor seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
metadata-extractor:
/usr/share/java/metadata-extractor-2.3.1.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Fedora Admin XMLRPC Client 2014-02-21 16:53:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Michael Simacek 2014-03-21 11:24:07 EDT
Created attachment 877333 [details]
Update to current guidelines
Comment 3 Mikolaj Izdebski 2014-03-21 11:58:13 EDT
Fixed in metadata-extractor-2.3.1-12
Comment 4 Mikolaj Izdebski 2014-03-21 12:32:52 EDT
I believe that this bug is fixed in metadata-extractor-2.3.1-12,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=506082

Note You need to log in before you can comment on or make changes to this bug.